Bug 1415336

Summary: after update i can't start a gnome session
Product: [Fedora] Fedora Reporter: Ed <samudhio>
Component: gnome-sessionAssignee: Ray Strode [halfline] <rstrode>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 25CC: duarte.m.nunes, jmccann, rstrode, troels
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-12-12 10:49:21 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Ed 2017-01-20 23:27:36 UTC
Description of problem:
last night i turn off the computer but before i indicate that update are pending to install get installed first , next day the computer can't start gnome session

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. turn on computer 
2. select any gnome desktop option ( gnome-classic, gnome, gnome Xorg )
3. try to log in

Actual results:
you are send back to the login screen without any explanation

Expected results:
a gnome desktop after log in

Additional info:
i do a fresh install and the problem is still present

Comment 1 Ed 2017-01-20 23:29:25 UTC
more info here : https://paste.fedoraproject.org/531697/49372321/


"     [  372.340687] gnome-session-b[2384]: segfault at 7ffe118d1f00 ip 00007f3569f7419a sp 00007ffe118d1ef0 error 6 in libpcre.so.1.2.8[7f3569f60000+72000]"

Comment 2 Duarte Nunes 2017-03-25 10:41:46 UTC
I'm hitting this too. Apparently there's infinite recursion when processing a regex. This is a backtrace:

[...]
#15855 0x00007fffee309a28 in match (eptr=<optimized out>, ecode=0x5555557cbb0a "w", mstart=0x7fffffffbbcd "bd=38;5;68:ca=38;5;17:cd=38;5;113;1:di=38;5;30:do=38;5;127:ex=38;5;208;1:pi=38;5;126:fi=0:ln=target:mh=38;5;222;1:no=0:or=48;5;196;38;5;232;1:ow=38;5;220;1:sg=48;5;3;38;5;0:su=38;5;220;1;3;100;1:so=38"..., offset_top=4, md=0x7fffffffb400, eptrb=0x0, rdepth=<optimized out>) at pcre_exec.c:983
#15856 0x00007fffee315b3e in match (eptr=<optimized out>, ecode=0x5555557cbb2e "y", mstart=0x7fffffffbbcd "bd=38;5;68:ca=38;5;17:cd=38;5;113;1:di=38;5;30:do=38;5;127:ex=38;5;208;1:pi=38;5;126:fi=0:ln=target:mh=38;5;222;1:no=0:or=48;5;196;38;5;232;1:ow=38;5;220;1:sg=48;5;3;38;5;0:su=38;5;220;1;3;100;1:so=38"..., offset_top=4, md=0x7fffffffb400, eptrb=0x0, rdepth=<optimized out>) at pcre_exec.c:2061
#15857 0x00007fffee309a28 in match (eptr=<optimized out>, ecode=0x5555557cbb0a "w", mstart=0x7fffffffbbcd "bd=38;5;68:ca=38;5;17:cd=38;5;113;1:di=38;5;30:do=38;5;127:ex=38;5;208;1:pi=38;5;126:fi=0:ln=target:mh=38;5;222;1:no=0:or=48;5;196;38;5;232;1:ow=38;5;220;1:sg=48;5;3;38;5;0:su=38;5;220;1;3;100;1:so=38"..., offset_top=2, md=0x7fffffffb400, eptrb=0x0, rdepth=<optimized out>) at pcre_exec.c:983
#15858 0x00007fffee308e26 in match (eptr=<optimized out>, ecode=0x5555557cbac4 "\222\205", mstart=0x7fffffffbbcd "bd=38;5;68:ca=38;5;17:cd=38;5;113;1:di=38;5;30:do=38;5;127:ex=38;5;208;1:pi=38;5;126:fi=0:ln=target:mh=38;5;222;1:no=0:or=48;5;196;38;5;232;1:ow=38;5;220;1:sg=48;5;3;38;5;0:su=38;5;220;1;3;100;1:so=38"..., offset_top=2, md=0x7fffffffb400, eptrb=0x0, rdepth=<optimized out>) at pcre_exec.c:1878
#15859 0x00007fffee3196f1 in pcre_exec (argument_re=0x5555557cba80, extra_data=<optimized out>, subject=<optimized out>, length=12118, start_offset=0, options=8192, offsets=0x5555557c95a0, offsetcount=6) at pcre_exec.c:6936
#15860 0x00007ffff47760eb in g_match_info_next (match_info=match_info@entry=0x5555557cca80, error=error@entry=0x0) at gregex.c:735
#15861 0x00007ffff477799f in g_regex_match_full (regex=regex@entry=0x5555557c9750, string=string@entry=0x7fffffffbbcd "bd=38;5;68:ca=38;5;17:cd=38;5;113;1:di=38;5;30:do=38;5;127:ex=38;5;208;1:pi=38;5;126:fi=0:ln=target:mh=38;5;222;1:no=0:or=48;5;196;38;5;232;1:ow=38;5;220;1:sg=48;5;3;38;5;0:su=38;5;220;1;3;100;1:so=38"..., string_len=string_len@entry=-1, start_position=start_position@entry=0, match_options=match_options@entry=0, match_info=match_info@entry=0x0, error=0x0) at gregex.c:1804
#15862 0x00007ffff4777aea in g_regex_match (regex=regex@entry=0x5555557c9750, string=string@entry=0x7fffffffbbcd "bd=38;5;68:ca=38;5;17:cd=38;5;113;1:di=38;5;30:do=38;5;127:ex=38;5;208;1:pi=38;5;126:fi=0:ln=target:mh=38;5;222;1:no=0:or=48;5;196;38;5;232;1:ow=38;5;220;1:sg=48;5;3;38;5;0:su=38;5;220;1;3;100;1:so=38"..., match_options=match_options@entry=0, match_info=match_info@entry=0x0) at gregex.c:1715
#15863 0x00005555555827aa in gsm_util_export_activation_environment (error=0x0) at gsm-util.c:540
#15864 0x000055555555fab9 in main (argc=<optimized out>, argv=<optimized out>) at main.c:380

Comment 3 Fedora End Of Life 2017-12-12 10:49:21 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.